#include <Servo.h>

Servo myServo1;                 // Создаем объект класса Servo для первой сервы
Servo myServo2;                 // Создаем объект класса Servo для второй сервы

int switchPin1 = D5;             // Подключаем кнопку 1
int switchPin2 = D7;             // Подключаем кнопку 2
int switchPin3 = D6;             // Подключаем кнопку 3
int a,b;

int pos1 = 90;
int pos2 = 90;
void setup()
{
  Serial.begin(115200);
  pinMode(switchPin1, INPUT_PULLUP);
  pinMode(switchPin2, INPUT_PULLUP);
  pinMode(switchPin3, INPUT_PULLUP);
  myServo1.attach(D1);            // Указываем первому объекту класса Servo, что серво подключен к пину D1
  myServo2.attach(D2);            // Указываем второму объекту класса Servo, что серво подключен к пину D1
  myServo1.write(90);             // Выставляем первую серву в начальное положение в 90
  myServo2.write(90);             // Выставляем вторую серву в начальное положение в 90
}
void loop() {   
 // Ворота открыты наружу
  if(digitalRead(switchPin1) == LOW) {   //если кнопка1 нажата 
  for (a = pos1, b = pos2; a <= 180, b >= 0; a+=1, b-=1) {    
    myServo1.write(a);
    myServo2.write(b);
    delay (20);    
  }
  pos1=a;
  pos2=b;
    delay (500);
  }
// Ворота закрыты
  if(digitalRead(switchPin2) == LOW) {   //если кнопка2 нажата 
    if(pos1 > 90 &&  pos2 < 90){
      for (pos1 = a, pos2 = b; pos1 >= 90, pos2 <= 90; pos1-=1, pos2+=1) { 
            myServo1.write(pos1);
            myServo2.write(pos2);
            delay (20);    
      }
    a=pos1;
    b=pos2;
    }
    if(pos1 < 90 &&  pos2 > 90){
      for (pos1 = a, pos2 = b; pos1 <= 90, pos2 >= 90; pos1+=1, pos2-=1) { 
            myServo1.write(pos1);
            myServo2.write(pos2);
            delay (20);    
      }
    }    
    delay (500);
  }
// Ворота открыты внутрь
  if(digitalRead(switchPin3) == LOW) {   //если кнопка1 нажата 
  for (a = pos1, b = pos2; a >= 0, b <= 180; a-=1, b+=1) {    
    myServo1.write(a);
    myServo2.write(b);
    delay (20);    
  }
  pos1=a;
  pos2=b;
    delay (500);
  }
}
